<div class="col-md-6 col-md-offset-3">
    <h2>Login</h2>
    <form name="form" (ngSubmit)="f.form.valid && loginUser()" #f="ngForm" novalidate>
        <div class="form-group" [ngClass]="{ 'has-error': f.submitted && !login.valid }">
            <label for="login">Login</label>
            <input type="text" class="form-control" name="login" [(ngModel)]="user.login" #login="ngModel" required />
            <div *ngIf="f.submitted && !login.valid" class="help-block">Login is required</div>
        </div>
        <div class="form-group" [ngClass]="{ 'has-error': f.submitted && !password.valid }">
            <label for="password">Password</label>
            <input type="password" class="form-control" name="password" [(ngModel)]="user.password" #password="ngModel" required />
            <div *ngIf="f.submitted && !password.valid" class="help-block">Password is required</div>
        </div>
        <div class="form-group">
            <button [disabled]="loading" class="btn btn-primary">Login</button>

            <a routerLink="/registration" class="btn btn-link">Register</a>
        </div>
    </form>
</div>
